## eagle-usb-2.3.2.tar.bz2

=== Makefile ===
# $Id: Makefile,v 1.39 2005/03/28 21:29:50 Tux Exp $

# Copyright (C) 2003      Jerome Marant
#               2003-2005 Olivier Borowski
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

# Goal :
#	Main makefile for the Linux driver for Eagle-based USB ADSL Modems

-include Makefile.common

# Messages:
SEP_MSG="==============================================================================="
ROOT_MSG="\n\nYou have to be root to do that!\n"
AUTOGEN_MSG="\n\nYou have to run ./autogen.sh first!\n"
CONFIGURE_MSG="\n\nYou have to run ./configure first!\n"
INSTALL_OK_MSG="\n\nInstallation has finished!\nYou should now run eagleconfig to setup your connexion.\n\n"
UNINSTALL_OK_MSG="\n\nUninstall has finished."
UNINSTALL_OK2_MSG="\n\n********************************************************************\n"\
"* You should now unplug and replug your modem to clear its memory. *\n"\
"********************************************************************\n\n"
MISS_PATH_MSG="warning: your PATH does not contain ${SBINDIR}. You won't be able to launch scripts.\n"\
"\t If you are using bash, you should update /root/.bashrc\n"


VERSION := $(shell cat VERSION)
ARCHNAME:= eagle-usb-${VERSION}

all: build

build:
	@if [ ! -e configure ] ; then \
		echo -e $(AUTOGEN_MSG) ; \
		exit 1 ; \
	fi
	@if [ ! -e Makefile.common ] ; then \
		echo -e $(CONFIGURE_MSG) ; \
		exit 1 ; \
	fi
	$(MAKE) -C driver
	$(MAKE) -C pppoa
	$(MAKE) -C utils/scripts
	$(MAKE) -C utils/eagleconnect
	@if [ "x${GEN_DOC}" = "xyes" ] ; then \
		$(MAKE) -C doc ; \
	fi

install:
	@if [ ! -e configure ] ; then \
		echo -e $(AUTOGEN_MSG) ; \
		exit 1 ; \
	fi
	@if [ ! -e Makefile.common ] ; then \
		echo -e $(CONFIGURE_MSG) ; \
		exit 1 ; \
	fi
	$(MAKE) -C driver install
	$(MAKE) -C pppoa install
	$(MAKE) -C utils/scripts install
	$(MAKE) -C utils/eagleconnect install
	# TODO : are manpages sometimes gzipped?? => update this test
	@if [ -t doc/man/eagleconfig.8 ] ; then \
		$(MAKE) -C doc install ; \
	fi
	#hash -r
	# check whether PATH contains {prefix}/sbin
	@test `id -ur` -ne 0 || echo ${PATH} | grep -q ${SBINDIR} || echo -e ${MISS_PATH_MSG}
	@echo -e $(SEP_MSG) && echo -e $(INSTALL_OK_MSG)

uninstall:
	@if [ `id -ur` -ne 0 ] ; then \
		echo -e $(ROOT_MSG) ; \
		exit 1 ; \
	fi
	@if [ ! -e configure ] ; then \
		echo -e $(AUTOGEN_MSG) ; \
		exit 1 ; \
	fi
	@if [ ! -e Makefile.common ] ; then \
		echo -e $(CONFIGURE_MSG) ; \
		exit 1 ; \
	fi
	$(MAKE) -C doc uninstall
	$(MAKE) -C utils/scripts uninstall
	$(MAKE) -C utils/eagleconnect uninstall
	$(MAKE) -C pppoa uninstall
	$(MAKE) -C driver uninstall
	#hash -r
	echo -e $(SEP_MSG)
	echo -e $(UNINSTALL_OK_MSG)
	if test $(BUILD_MODULE) == 1 ; then \
		echo -e $(UNINSTALL_OK2_MSG) ; \
	else \
		echo ; \
	fi

clean:
	-$(MAKE) -C driver clean
	-$(MAKE) -C pppoa clean
	-$(MAKE) -C utils/eagleconnect clean
	-$(MAKE) -C utils/scripts clean
#	-$(MAKE) -C doc clean

distclean: clean
	rm -f Makefile.common utils/eagleconfig/Makefile confdefs.h aclocal.m4
	rm -Rf config.{status,log,cache}
	rm -Rf autom4te.cache

maintainer-clean: distclean
	rm -f configure
	$(MAKE) -C doc clean

dist: maintainer-clean
	rm -f ../$(ARCHNAME).tar.bz2 && \
	./makedist $(ARCHNAME) `pwd`

rpm: dist
	if ! grep -q "Version: ${VERSION}" eagle-usb.spec ; then \
		echo "Error: eagle-usb.spec is not up-to-date!" ; \
		exit 1 ; \
	fi
	if [ `id -ur` == 0 ] ; then \
		rm -f /usr/src/RPM/SOURCES/$(ARCHNAME).tar.bz2 ; \
		cp ../eagle-usb.dist/$(ARCHNAME).tar.bz2 /usr/src/RPM/SOURCES ; \
		rpmbuild -ba eagle-usb.spec ; \
		mv -f /usr/src/RPM/RPMS/i586/eagle-usb-*.rpm ../eagle-usb.dist ; \
		mv -f /usr/src/RPM/SRPMS/eagle-usb-*.rpm ../eagle-usb.dist ; \
	else \
		if [ "`whereis -b rpmbuild`" = "rpmb:" ] ; then \
			echo "Error: rpm-build was not found on your system!" ; \
			exit 1 ; \
		fi ; \
		if [ ! -d ~/rpm ] ; then \
			echo "Error: ~/rpm missing, you should consider reading Mandrakesoft's RpmHowTo..." ; \
			exit 1 ; \
		fi ; \
		if [ ! -f ~/.rpmmacros ] || [ ! -f ~/.rpmrc ] ; then \
			echo "Error: ~/.rpmmacros or ~/.rpmrc is missing, you should consider reading Mandrakesoft's RpmHowTo..." ; \
			exit 1 ; \
		fi ; \
		rm -f ~/rpm/SOURCES/$(ARCHNAME).tar.bz2 ; \
		cp ../eagle-usb.dist/$(ARCHNAME).tar.bz2 ~/rpm/SOURCES ; \
		rpmbuild -ba eagle-usb.spec ; \
	fi
	#mv -f ~/rpm/RPMS/i586/eagle-usb-*.rpm ../eagle-usb.dist ; \
	#mv -f ~/rpm/SRPMS/eagle-usb-*.rpm ../eagle-usb.dist ; \
	#rpmbuild -ta ../eagle-usb.dist/$(ARCHNAME).tar.bz2
	#rpmbuild --define='_prefix /usr' -ba eagle-usb.spec

.PHONY: deb debclean
DEBVERSION = $(shell sed -ne '1s/.*(\(.*\)).*/\1/p' debian/changelog)
debclean:
	fakeroot debian/rules clean
	-$(RM) -R ../eagle-usb-${VERSION} ../eagle-usb-${VERSION}.orig
	-$(RM) ../eagle-usb_${VERSION}.orig.tar.gz
	-$(RM) ../eagle-usb*_${VERSION}-*.{diff.gz,dsc,deb,changes}
deb:
	# Clean the debian directory
	fakeroot debian/rules clean
	# Recopy all the source directory
	# but CVS and temporary files, and packaging files
	[ -d ../eagle-usb-${VERSION} ] || cp -r . ../eagle-usb-${VERSION}
	find ../eagle-usb-${VERSION} -name "CVS" -exec rm -rf {} \; -prune
	find ../eagle-usb-${VERSION} -name "*~" -exec rm -f {} \;
	find ../eagle-usb-${VERSION} -name "*.old" -exec rm -f {} \;
	rm -rf ../eagle-usb-${VERSION}/{debian,eagle-usb.spec}

	# Create original tarball file
	if [ ! -f ../eagle-usb-${VERSION}.orig.tar.gz ]; then \
		cd .. ; tar czf eagle-usb_${VERSION}.orig.tar.gz eagle-usb-${VERSION} ;\
	fi

	# Recopy packaging files specific to Debian
	cp -r debian/ ../eagle-usb-${VERSION}

	# Create diff and dsc files
	cd .. ; dpkg-source -b -sK "eagle-usb-${VERSION}" "eagle-usb_${VERSION}.orig.tar.gz"
	rm -rf ../eagle-usb-${VERSION}.orig

	# Build the three packages
	../eagle-usb-${VERSION}/debian/rules build
	fakeroot ../eagle-usb-${VERSION}/debian/rules binary

## Unquote the above lines if you want install the Debian packages
## into an APT repository.
	#lintian ../eagle-usb-*_${DEBVERSION}_*.deb
	#lintian ../eagle-usb_${DEBVERSION}.dsc
	#arch=`dpkg-architecture -qDEB_HOST_ARCH` ; \
	#dpkg-genchanges >../eagle-usb_${DEBVERSION}_$${arch}.changes

.PHONY: all build install uninstall clean distclean maintainer-clean
.PHONY: dist rpm

#***************************************************************************
# $Log: Makefile,v $
# Revision 1.39  2005/03/28 21:29:50  Tux
# - add a test on the .spec file
# - distclean now remove aclocal.m4
#
# Revision 1.38  2005/01/30 00:58:56  Tux
# - moved "depmod"
#
# Revision 1.37  2005/01/16 21:59:55  Tux
# - add license header
#
# Revision 1.36  2005/01/12 21:49:59  Tux
# - previous tests "@[ condition ] && result" were buggy => use "if [] ; then ; fi" structure instead
# - don't try to install documentation if it doesn't exist
# - add "depmod"
#
# Revision 1.35  2005/01/04 21:14:59  Tux
# - "hash -r" doesn't work in Makefile
#
# Revision 1.34  2005/01/02 23:09:10  mcoolive
# - improve the deb rule
#
# Revision 1.33  2004/11/30 19:27:09  mcoolive
# - check whether PATH contains $prefix/sbin at the end of install
# - cosmetic changes
#
# Revision 1.32  2004/11/27 18:14:43  mcoolive
# - remove useless ``&&''
#
# Revision 1.31  2004/11/27 14:27:29  mcoolive
# - test the value of GEN_DOC here
# - remove useless ``&&'' ( ``make -n'' works only if make is the first command)
#
# Revision 1.30  2004/11/17 20:54:29  Tux
# - don't move *.rpm to eagle-usb.dist
#
# Revision 1.29  2004/11/09 14:31:29  mcoolive
# - add VERSION variable, modify semantic of DEBVERSION variable
# - improve calculation of ARCHNAME
# - in deb rule: replace DEBVERSION by VERSION and pversion by DEBVERSION
#
# Revision 1.28  2004/11/04 17:07:13  mcoolive
# - fix "deb" target
#
# Revision 1.27  2004/10/31 23:59:14  mcoolive
# - fix the last modifications (rename orig.tar.gz file and clean the build)
#
# Revision 1.26  2004/10/31 20:04:12  mcoolive
# - improve the debian targets
#
# Revision 1.25  2004/10/18 21:31:01  Tux
# - as /usr is the default path, simplify rpmbuild command
#
# Revision 1.24  2004/10/10 13:48:14  Tux
# - removed unused string
#
# Revision 1.23  2004/10/04 20:45:09  Tux
# - "make rpm" now check if .rpmrc and .rpmmacros are present
#
# Revision 1.22  2004/09/05 20:34:20  mcoolive
# Improve the deb rule
#
# Revision 1.21  2004/08/26 21:36:41  Tux
# - "make clean" does not remove manpages anymore
#
# Revision 1.20  2004/08/25 13:55:25  mcoolive
# - fix deb rule: there was a bug when the name of the directory was
#   "eagle-usb-version" instead of "eagleusb" (tarball versus cvs)
#
# Revision 1.19  2004/08/16 21:42:39  Tux
# - rpm generation : use /usr as default prefix (instead of /usr/local)
#
# Revision 1.18  2004/08/12 22:27:12  mcoolive
# - fix deb rule : fix the generation of the files `changes'
#
# Revision 1.17  2004/08/09 21:28:45  mcoolive
# - correct the generation of *.orig.tar.gz (by default tar dump symlinks)
#
# Revision 1.16  2004/08/07 12:31:51  Tux
# - add rules to generate docs
#
# Revision 1.15  2004/08/06 09:59:10  mcoolive
# - edit "deb" rule to remove warnings
#
# Revision 1.14  2004/08/05 15:36:31  mcoolive
# - the "clean" rule is propagated in "doc" subdirectory
# - add rule "deb" to construct debian packages
#
# Revision 1.13  2004/08/01 20:08:21  Tux
# - eagleconnect support
#
# Revision 1.12  2004/05/30 01:50:04  Tux
# - "rpm -ba" => "rpmbuild"
#
# Revision 1.11  2004/05/11 19:42:49  Tux
# - eagle.spec => eagle-usb.spec
# - add "hash -r" after "make install"
#
# Revision 1.10  2004/04/20 19:55:07  Tux
# - cosmetic changes
#
# Revision 1.9  2004/04/18 19:46:38  Tux
# - a string was badly displayed
#
# Revision 1.8  2004/04/18 13:55:03  Tux
# *** empty log message ***
#
# Revision 1.7  2004/04/03 16:09:07  Tux
# - ask the user to unplug&replug modem
#
#***************************************************************************/

=== driver/Makefile ===
# $Id: Makefile,v 1.7 2005/05/29 22:10:44 baud123 Exp $


OBJS = eu_main.o 	\
       eu_utils.o  	\
       Pipes.o 		\
       Me.o    		\
       Sm.o    		\
       eu_msg.o   	\
       Dsp.o   		\
       Mpoa.o  		\
       Uni.o   		\
       Sar.o   		\
       Oam.o   		\
       eu_eth.o         \
       eu_boot_sm.o


ifneq ($(KERNELRELEASE),)

EXTRA_CFLAGS+= '-DEAGLEUSBVERSION="2.3.2"'

#
# Enable BULK USB transfers
#

ifdef BULK
EXTRA_CFLAGS += -DUSEBULK
endif

ifeq ($(USE_CMVS),1)
EXTRA_CFLAGS+=-DUSE_CMVS
endif


obj-m := eagle-usb.o
eagle-usb-objs := $(OBJS)

else

-include ../Makefile.common

ifeq ($(BUILD_MODULE), 0)
include Makefile-module_disabled
else
ifneq (,$(findstring 2.6,$(KERNELVER)))

#
# Kernel 2.6
#
include Makefile-2.6

else

#
# Kernel 2.4
#
include Makefile-2.4

endif
endif
endif

=== pppoa/Makefile ===
#***********************************************************************
#
# Makefile
#
# Modified and enhanced by Anoosh Naderi from ADI on May22,2002 to
# support PPPoA
#
# This program may be distributed according to the terms of the GNU
# General Public License, version 2 or (at your option) any later version.
#
#***********************************************************************

-include ../Makefile.common

# Version is set ONLY IN THE MAKEFILE!  Don't delete this!
VERSION=$(shell cat ../VERSION)

# Program paths
#PPPOA_PATH=$(SBINDIR)/pppoa
#PATHS='-DPPPOA_PATH="$(PPPOA_PATH)"' '-DPPPD_PATH="$(PPPD_PATH)"'
CFLAGS= -O2 -Wall -Wstrict-prototypes -ansi -pedantic $(DEFINES) $(PATHS)

all: pppoa

pppoa: pppoa.o if.o debug.o common.o ppp.o
	$(CC) -o pppoa pppoa.o if.o debug.o common.o ppp.o

pppoa.o: pppoa.c pppoa.h
	$(CC) $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o pppoa.o pppoa.c

ppp.o: ppp.c pppoa.h
	$(CC) $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o ppp.o ppp.c

if.o: if.c pppoa.h
	$(CC) $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o if.o if.c

common.o: common.c pppoa.h
	$(CC) $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o common.o common.c

debug.o: debug.c pppoa.h
	$(CC) $(CFLAGS) '-DVERSION="$(VERSION)"' -c -o debug.o debug.c

install: pppoa
	$(INSTALL) -d $(SBINDIR)
	$(INSTALL) -m 755 pppoa $(SBINDIR)

uninstall:
	rm -f $(SBINDIR)/pppoa

clean:
	rm -f *.o pppoa 

.PHONY: all install uninstall clean

=== driver/user/Makefile ===
#------------------------------------------
# Makefile
#
# Makefile for eaglectrl
#

-include ../../Makefile.common

VERSION=$(shell cat ../../VERSION)


CFLAGS=-O2 -pipe -Wall -pedantic -DLINUX -g -DCONF_DIR="\"$(EU_DIR)\"" -DBIN_DIR="\"$(EU_DSP_DIR)\"" '-DEAGLEUSBVERSION="$(VERSION)"'

ifeq ($(USE_CMVS),1)
CFLAGS+=-DUSE_CMVS
endif

all: eaglectrl

eaglectrl: eaglectrl.c ../eagle-usb.h
	$(CC) $(CFLAGS) $< -o $@

install:
	$(INSTALL) -d $(SBINDIR) && \
	$(INSTALL) -d $(EU_DIR) && \
	$(INSTALL) -m 0755 eaglectrl $(SBINDIR) && \
	$(INSTALL) -m 0755 eaglestat $(SBINDIR) && \
	$(INSTALL) -m 0644 eagle-usb.conf $(EU_DIR)/eagle-usb.conf.template && \
	$(INSTALL) -m 0644 CMVei.txt $(EU_DIR) && \
	$(INSTALL) -m 0644 CMVeiWO.txt $(EU_DIR) && \
	$(INSTALL) -m 0644 CMVepWO.txt $(EU_DIR) && \
	$(INSTALL) -m 0644 CMVepES.txt $(EU_DIR) && \
	$(INSTALL) -m 0644 CMVepES03.txt $(EU_DIR) && \
	$(INSTALL) -m 0644 CMVepFR.txt $(EU_DIR) && \
	$(INSTALL) -m 0644 CMVepFR04.txt $(EU_DIR) && \
	$(INSTALL) -m 0644 CMVepFR10.txt $(EU_DIR) && \
	$(INSTALL) -m 0644 CMVepIT.txt $(EU_DIR) && \
	$(INSTALL) -m 0644 CMVep.txt $(EU_DIR) 

uninstall:
	rm -f $(SBINDIR)/eaglectrl
	rm -f $(SBINDIR)/eaglestat
	rm -f $(EU_DIR)/eagle-usb.conf.template
	rm -f $(EU_DIR)/CMVei.txt
	rm -f $(EU_DIR)/CMVeiWO.txt
	rm -f $(EU_DIR)/CMVepWO.txt
	rm -f $(EU_DIR)/CMVepES.txt
	rm -f $(EU_DIR)/CMVepES03.txt
	rm -f $(EU_DIR)/CMVepFR.txt
	rm -f $(EU_DIR)/CMVepFR04.txt
	rm -f $(EU_DIR)/CMVepFR10.txt
	rm -f $(EU_DIR)/CMVepIT.txt
	rm -f $(EU_DIR)/CMVep.txt

clean:
	rm -f eaglectrl

.PHONY: all install uninstall clean

=== utils/eagleconnect/Makefile ===
# $Id: Makefile,v 1.8 2004/11/17 20:58:55 Tux Exp $
# Makefile for installing eagleconnect
# Author: Tux

-include ../../Makefile.common

all: userscripts

userscripts: clean
	if test ${USE_EAGLECONNECT} == 1 ; then \
		mkdir -p tmp ; \
		cat diagnostic.tcl | sed \
			-e "s|@SBIN_DIR@|$(SBINDIR)|g" \
			-e "s|@EU_EAGLECONNECT_DIR@|$(EU_EAGLECONNECT_DIR)|g" \
			> tmp/diagnostic.tcl ; \
		cat eagleconnect.tcl | sed \
			-e "s|@SBIN_DIR@|$(SBINDIR)|g" \
			-e "s|@EU_DIR@|$(EU_DIR)|g" \
			-e "s|@EU_EAGLECONNECT_DIR@|$(EU_EAGLECONNECT_DIR)|g" \
			> tmp/eagleconnect.tcl ; \
		cat reseau.tcl | sed \
			-e "s|@SBIN_DIR@|$(SBINDIR)|g" \
			-e "s|@EU_EAGLECONNECT_DIR@|$(EU_EAGLECONNECT_DIR)|g" \
			> tmp/reseau.tcl ; \
	fi

install:
	if test ${USE_EAGLECONNECT} == 1 ; then \
		$(INSTALL) -d $(SBINDIR) && \
		$(INSTALL) -d $(EU_EAGLECONNECT_DIR)/lang && \
		$(INSTALL) -d $(EU_EAGLECONNECT_DIR)/images && \
		$(INSTALL) -m 0755 parameagleconnect.tcl $(EU_EAGLECONNECT_DIR) && \
		$(INSTALL) -m 0755 tmp/diagnostic.tcl $(EU_EAGLECONNECT_DIR) && \
		$(INSTALL) -m 0755 tmp/eagleconnect.tcl $(SBINDIR) && \
		$(INSTALL) -m 0755 tmp/reseau.tcl $(EU_EAGLECONNECT_DIR) && \
		$(INSTALL) -m 0644 lang/fr.msg $(EU_EAGLECONNECT_DIR)/lang && \
		$(INSTALL) -m 0644 lang/doc_fr.txt $(EU_EAGLECONNECT_DIR)/lang && \
		$(INSTALL) -m 0644 images/fichierssysteme.ppm $(EU_EAGLECONNECT_DIR)/images && \
		$(INSTALL) -m 0644 images/fonts.ppm $(EU_EAGLECONNECT_DIR)/images && \
		if ! test -f $(EU_DIR)/eagleconnect.conf ; then \
			$(INSTALL) -m 0644 eagleconnect.conf $(EU_DIR)/eagleconnect.conf ; \
		fi ; \
	fi

uninstall:
	rm -f $(SBINDIR)/eagleconnect.tcl && \
	rm -Rf $(EU_EAGLECONNECT_DIR)

clean:
	rm -Rf tmp

distclean:

.PHONY: all userscripts install uninstall clean distclean

#***************************************************************************
# $Log: Makefile,v $
# Revision 1.8  2004/11/17 20:58:55  Tux
# - "make uninstall" should remove eagleconnect.tcl
#
# Revision 1.7  2004/09/28 20:26:57  emmanuel
# Images directory and pictures associated added
#
# Revision 1.6  2004/09/26 19:30:47  Tux
# - add $EU_DIR path
# - install eagleconnect documentation
#
# Revision 1.5  2004/08/25 21:10:37  Tux
# - changed eagleconnect.conf path
#
# Revision 1.4  2004/08/04 19:57:33  Tux
# - paths have been moved directly into .tcl scripts
# - (temporary?) removed expect script
#
# Revision 1.3  2004/08/03 17:33:57  Tux
# - now do something
#
# Revision 1.2  2004/08/01 20:35:18  Tux
# *** empty log message ***
#
# Revision 1.1  2004/08/01 20:31:53  Tux
# - Initial revision
#
#***************************************************************************/

=== utils/scripts/Makefile ===
# $Id: Makefile,v 1.37 2005/03/09 09:58:26 mcoolive Exp $

# Copyright (C) 2003      Jerome Marant
#				2003-2005 Olivier Borowski
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

# Goal :
#	Makefile for installing user space scripts

-include ../../Makefile.common

all: userscripts

userscripts: clean
	mkdir -p tmp
	sed 	-e "s|@SBIN_DIR@|$(SBINDIR)|g" \
		-e "s|@EU_DIR@|$(EU_DIR)|g" \
		-e "s|@EU_LANG_DIR@|$(EU_LANG_DIR)|g" \
		-e "s|@USE_HOTPLUG@|$(USE_HOTPLUG)|g" \
		-e "s|@USE_IFUPDOWN@|$(USE_IFUPDOWN)|g" \
		-e "s|@BOOT_METHOD@|$(BOOT_METHOD)|g" \
		-e "s|@DISTRIB@|$(DISTRIB)|g" \
		-e "s|@DISTVER@|$(DISTVER)|g" \
		-e "s|@SIMPLE@|$(SIMPLE)|g" \
		-e "s|@INIT_DIR@|$(INIT_DIR)|g" \
		-e "s|@PPP_DIR@|$(PPP_DIR)|g" \
		-e "s|@HOTPLUG_SCRIPT_DIR@|$(HOTPLUG_SCRIPT_DIR)|g" \
		-e "s|@NET_SCRIPT_DIR@|$(NET_SCRIPT_DIR)|g" \
		-e "s|@EU_LANG@|$(EU_LANG)|g" \
		-e "s|@PPP_OPTIONS_DIR@|$(PPP_OPTIONS_DIR)|g" \
		-e "s|@PPP_OPTIONS_ADSL@|$(PPP_OPTIONS_ADSL)|g" \
		-e "s|@PPP_OPTIONS_MIRE@|$(PPP_OPTIONS_MIRE)|g" \
		-e "s|@SYSCONF_FILE@|$(SYSCONF_FILE)|g" \
		<setvars >tmp/setvars && \
	sed -e "s|exit 123|. $(EU_DIR)/setvars|" -e "s| 1 -eq 1 | 0 -eq 1 |" fctStopAdsl > tmp/fctStopAdsl && \
	sed "s|exit 123|. $(EU_DIR)/setvars|g" fctStartAdsl > tmp/fctStartAdsl && \
	sed "s|exit 123|. $(EU_DIR)/setvars|g" startadsl > tmp/startadsl && \
	sed "s|exit 123|. $(EU_DIR)/setvars|g" stopadsl > tmp/stopadsl && \
	sed "s|exit 123|. $(EU_DIR)/setvars|g" eagleconfig > tmp/eagleconfig && \
	sed "s|exit 123|. $(EU_DIR)/setvars|g" eaglediag > tmp/eaglediag && \
	sed "s|exit 123|. $(EU_DIR)/setvars|g" eu_config_bash > tmp/eu_config_bash && \
	sed "s|exit 123|. $(EU_DIR)/setvars|g" eu_dsp > tmp/eu_dsp && \
	sed "s|exit 123|. $(EU_DIR)/setvars|g" eu_init > tmp/eu_init && \
	sed "s|exit 123|. $(EU_DIR)/setvars|g" net_cnx_up > tmp/net_cnx_up && \
	sed "s|exit 123|. $(EU_DIR)/setvars|g" net_cnx_down > tmp/net_cnx_down && \
	sed "s|exit 123|. $(EU_DIR)/setvars|g" testconnec > tmp/testconnec

install:
	if test $(USE_IFUPDOWN) -eq 1 ; then \
		$(INSTALL) -d $(NET_SCRIPT_DIR) && \
		$(INSTALL) -m 0755 tmp/net_cnx_up $(NET_SCRIPT_DIR) && \
		$(INSTALL) -m 0755 tmp/net_cnx_down $(NET_SCRIPT_DIR) && \
		$(INSTALL) -m 0755 net_cnx_pg $(NET_SCRIPT_DIR) ; \
	fi
	$(INSTALL) -d $(EU_DIR)
	$(INSTALL) -d $(SBINDIR)
	$(INSTALL) -d $(EU_LANG_DIR)
	$(INSTALL) -m 0755 tmp/eaglediag $(SBINDIR)
	$(INSTALL) -m 0755 tmp/eagleconfig $(SBINDIR)
	$(INSTALL) -m 0755 tmp/eu_config_bash $(SBINDIR)/eagleconfig_front.bash
	$(INSTALL) -m 0755 tmp/fctStartAdsl $(SBINDIR)
	$(INSTALL) -m 0755 tmp/fctStopAdsl $(SBINDIR)
	$(INSTALL) -m 0755 tmp/startadsl $(SBINDIR)
	$(INSTALL) -m 0755 tmp/stopadsl $(SBINDIR)
	$(INSTALL) -m 0755 tmp/testconnec $(SBINDIR)/eagletestconnec
	$(INSTALL) -m 0644 tmp/setvars $(EU_DIR)
	$(INSTALL) -m 0644 options $(EU_DIR)/ppp_options.template
	$(INSTALL) -m 0644 lang/br $(EU_LANG_DIR)
	$(INSTALL) -m 0644 lang/cz $(EU_LANG_DIR)
	$(INSTALL) -m 0644 lang/de $(EU_LANG_DIR)
	$(INSTALL) -m 0644 lang/en $(EU_LANG_DIR)
	$(INSTALL) -m 0644 lang/es $(EU_LANG_DIR)
	$(INSTALL) -m 0644 lang/fr $(EU_LANG_DIR)
	$(INSTALL) -m 0644 lang/f2 $(EU_LANG_DIR)
	$(INSTALL) -m 0644 lang/gr $(EU_LANG_DIR)
	$(INSTALL) -m 0644 lang/it $(EU_LANG_DIR)
	$(INSTALL) -m 0644 lang/mk $(EU_LANG_DIR)
	$(INSTALL) -m 0644 lang/pl $(EU_LANG_DIR)
	if test $(USE_HOTPLUG) -eq 1 ; then \
		$(INSTALL) -d $(HOTPLUG_SCRIPT_DIR) && \
		$(INSTALL) -m 0755 tmp/eu_dsp $(HOTPLUG_SCRIPT_DIR)/eagle-usb ; \
	fi
	# use eagle-usb service on Fedora, Redhat, Suse, Debian, Mandrake>=10.1
	if [ "$(BOOT_METHOD)" = "chkconfig" ] || [ "$(BOOT_METHOD)" = "update-rc.d" ] ; then \
		$(INSTALL) -d $(INIT_DIR) && \
		$(INSTALL) -m 0755 tmp/eu_init $(INIT_DIR)/eagle-usb ; \
	elif [ "$(BOOT_METHOD)" = "internet_service" ] ; then \
		$(INSTALL) -d $(INIT_DIR) && \
		$(INSTALL) -m 0755 tmp/eu_init $(INIT_DIR)/eagle-usb ; \
	elif [ "$(BOOT_METHOD)" = "slackware" ] ; then \
		$(INSTALL) -m 0755 tmp/eu_init $(EU_DIR)/rc.eagle-usb ; \
	fi
	touch $(EU_DIR)/eagle-usb_must_be_configured
	chmod 644 $(EU_DIR)/eagle-usb_must_be_configured

uninstall:
	./fctStopAdsl -sf
	# disable [and remove] autostart service
	if test -e $(INIT_DIR)/eagle-usb ; then \
		chkconfig --del eagle-usb &>/dev/null || \
		update-rc.d -f eagle-usb remove &>/dev/null || \
		rm -f $(INIT_DIR)/eagle-usb ; \
	fi
	if test -e $(INIT_DIR)/internet ; then \
		chkconfig --del internet &>/dev/null ; \
	fi
	# remove old eagle-usb files (previous versions)
	# avoid having multiple versions of the driver (for Mdk for example)
	#./uninstOld $(MODULESDIR) $(KERNELSRC) $(DISTRIB) $(DISTVER) $(BUILD_MODULE)
	./uninstOld
	rm -f $(SBINDIR)/eagleconfig
	rm -f $(SBINDIR)/eagleconfig_front.bash
	rm -f $(SBINDIR)/eaglediag
	rm -f $(SBINDIR)/eagletestconnec
	rm -f $(SBINDIR)/fctStartAdsl
	rm -f $(SBINDIR)/fctStopAdsl
	rm -f $(SBINDIR)/startadsl
	rm -f $(SBINDIR)/stopadsl
	rm -f $(EU_DIR)/eagle-usb_must_be_configured
	rm -f $(EU_DIR)/ppp_options.template
	rm -f $(EU_DIR)/setvars
	rm -f $(HOTPLUG_SCRIPT_DIR)/eagle-usb
	rm -f /etc/cron.d/eagle-usb
	rm -f /etc/rc.d/rc.eagle-usb
	rm -Rf $(EU_LANG_DIR)

clean:
	-rm -Rf tmp

distclean:

.PHONY: all userscripts install uninstall clean distclean

#***************************************************************************
# $Log: Makefile,v $
# Revision 1.37  2005/03/09 09:58:26  mcoolive
# - remove p2 translation file (polish without special characters)
#
# Revision 1.36  2005/03/07 17:53:30  mcoolive
# - remove unnecessary '&& \'
# - remove unnecessary '&& \'
# - add the installation of br, cz, gr translation files
#
# Revision 1.35  2005/02/13 23:32:58  baud123
# s/0ld/Old/ to avoid w4r10rd words
#
# Revision 1.34  2005/02/13 23:06:09  baud123
# put back uninst0ld to avoid existing driver
#
# Revision 1.33  2005/01/16 22:04:34  Tux
# - add license header
#
# Revision 1.32  2004/11/21 15:32:43  Tux
# - replaced == with -eq
#
# Revision 1.31  2004/11/17 20:58:14  Tux
# - change paths
#
# Revision 1.30  2004/11/17 16:41:31  mcoolive
# - (FHS compliance) move setvars in /etc/eagle-usb and change its permissions
#
# Revision 1.29  2004/11/11 16:21:26  mcoolive
# - renaming $EU_SCRIPT_DIR/lock in $EU_DIR/eagle-usb_must_be_configured
#
# Revision 1.28  2004/11/07 20:03:29  baud123
# add install for mk language
#
# Revision 1.27  2004/10/10 14:39:24  Tux
# *** empty log message ***
#
# Revision 1.26  2004/10/10 14:01:44  Tux
# - removed unused usb.usermap
#
# Revision 1.25  2004/10/10 13:53:28  Tux
# - removed startmire
# - eu_config_bash => eagleconfig_bash
#
# Revision 1.24  2004/09/28 19:45:20  Tux
# - add $BOOT_METHOD
#
# Revision 1.23  2004/09/23 20:39:49  Tux
# - use generic boot method detection
# - remove slackware specific init script (use generic one)
#
# Revision 1.22  2004/09/16 20:48:24  Tux
# - removed useless $SYSCONF_DIR variable
#
# Revision 1.21  2004/09/15 19:25:03  Tux
# - make sure that parent folders of the lock file exist
#
# Revision 1.20  2004/09/14 20:44:56  Tux
# - Mandrakelinux >=10.1 now uses eagle-usb service too
#
# Revision 1.19  2004/08/29 23:54:59  Tux
# - create directory /etc/init.d
#
# Revision 1.18  2004/08/29 21:18:36  Tux
# - install eu_init itself (instead of eagleconfig)
#
# Revision 1.17  2004/08/27 09:16:22  mcoolive
# - create hotplug/usb directory if it is needed
#
# Revision 1.16  2004/08/26 21:42:59  Tux
# - install eu_dsp script (previously eagleconfig did that)
#
# Revision 1.15  2004/08/14 23:41:22  mcoolive
# - to ensure of the access permissions of lock file
#
# Revision 1.14  2004/08/14 23:22:07  Tux
# - removed unuseful&dangerous umask
#
# Revision 1.13  2004/08/01 20:13:20  Tux
# - removed some unused hotplug related vars
#
# Revision 1.12  2004/07/16 21:14:54  Tux
# - added $PPP_OPTIONS_ADSL, $PPP_OPTIONS_MIRE, $SYSCONF_FILE
#
# Revision 1.11  2004/07/15 20:25:33  Tux
# - uninstall did't remove /etc/cron.d/eagle-usb
#
# Revision 1.10  2004/05/16 19:27:39  Tux
# - language files permissions: 0755 => 0644
#
# Revision 1.9  2004/04/21 20:07:52  Tux
# *** empty log message ***
#
# Revision 1.8  2004/04/21 18:19:21  Tux
# - some changes with ">/dev/null"
#
# Revision 1.7  2004/04/03 16:13:51  Tux
# - added eu_config_bash
#
# Revision 1.6  2004/03/22 21:18:29  Tux
# do not ask anymore the user to unplug the modem unless it is necessary
#
#***************************************************************************/

=== debian/changelog ===
eagle-usb (2.1.1-2) experimental; urgency=low

  * Fix: use official english names for countries (Closes: #298264)
  * Fix: cross-build of the module package (Closes: #299407)
  * Fix: eagle-usb-utils postinst: shell compatibility (Closes: #299276)
  * Update the list of ISP
  * Translations:
     Add da translation. Thanks to Claus Hindsgaul
     Add eu translation. Thanks to Piarres Beobide
     Update nl translation. Thanks to Luk Claes
     Update de translation. Thanks to Erik Schanze

 -- Cyril Martin <mcoolive@free.fr>  Sun, 27 Mar 2005 19:59:46 +0100

eagle-usb (2.1.1-1) experimental; urgency=low

  [Cyril Martin]
  * Fix postinst of eagle-usb-modules (Closes: #285552).

  [Pierre Machard]
  * Simply upload the package and fix i18n issues
      Add nl translation. Thanks to Luk Claes
      (Closes: #247082)
      Add cz translation. Thanks to Miroslav Kure
      (Closes: #295977, #295979)
      Update de translation. Thanks to Luk Claes
      (Closes: #296767)
  * Added myself as Uploaders

 -- Pierre Machard <pmachard@debian.org>  Sun, 27 Feb 2005 19:59:46 +0100

eagle-usb (2.0.1-1) experimental; urgency=low

  * Add japan translation file (Closes: #281983)
  * New upstream pre-release
    - FHS compliance
    - POSIX compliance

 -- Cyril Martin <mcoolive@free.fr>  Sun, 21 Nov 2004 15:34:59 +0100

eagle-usb (2.0.0-1) experimental; urgency=low

  * Add new ISP
  * Use overrides to mute lintian (Closes: #265866)
  * Add pppoe in dependencies (Closes: #274041)
  * New upstream pre-release
    - Add option update_dns? for ppp connection
    - Module works with amd64
    - New BNM files for E2L and E2T modems (backward-compatibility)
    - New value for OPTNxx and CMVs

 -- Cyril Martin <mcoolive@free.fr>  Sun, 26 Sep 2004 23:35:09 +0200

eagle-usb (1.9.9-2) experimental; urgency=low

  * Fix ./configure: hotplug script was missing (Closes: #269258)
  * Remove unused /etc/modutils/eagle-usb configuration file (thk J-P Pourrez)
  * Correct the debconf questionnaire and its french translation
  * New DSP codes.

 -- Cyril Martin <mcoolive@free.fr>  Sun, 5 Sep 2004 15:45:17 +0200

eagle-usb (1.9.9-1) unstable; urgency=medium

  * New upstream pre-release
  * eagle-usb-utils depends on module-init-tools | modutils
  * Fix the writing of modutils config files (Closes: #269242)
  * Fix postrm script

 -- Cyril Martin <mcoolive@free.fr>  Mon, 29 Aug 2004 01:48:17 +0200

eagle-usb (1.9.8+cvs20040822-1) experimental; urgency=low

  * New upstream pre-release
  * Fix maintainer scripts (Closes: #266969)
  * Add --nonet and --catalogs options to xsltproc
  * Add Build-Depends on net-tools and docbook-xml

 -- Pierre Machard <pmachard@debian.org>  Sun, 22 Aug 2004 23:00:04 +0200

eagle-usb (1.9.8+cvs20040806-1) unstable; urgency=low

  * New upstream pre-release
  * Add eagleconfig in package and use it in postinstallation
  * Man pages are rewritten.

 -- Cyril Martin <mcoolive@free.fr>  Sun, 1 Aug 2004 20:27:09 +0200

eagle-usb (1.9.8-3) unstable; urgency=low

  * Add ISP in configuration
  * Fix init.d/eagle-usb: don't write "success" when connection failed.
  * Fix postinstallation of eagle-usb-utils (thank to Nicolas GRAZIANO)

 -- Cyril Martin <mcoolive@free.fr>  Fri, 16 Jul 2004 01:27:49 +0200

eagle-usb (1.9.8-2) unstable; urgency=low

  * Fix postinstallation of eagle-usb-utils (thank to Nicolas GRAZIANO)

 -- Cyril Martin <mcoolive@free.fr>  Thu, 3 Jul 2004 10:40:30 +0200

eagle-usb (1.9.8-1) unstable; urgency=low

  * New upstream pre-release.
  * Fix incomplete purge
  * eagle-usb module depends on ppp_async module for the users of ppp

 -- Cyril Martin <mcoolive@free.fr>  Mon, 16 Jun 2004 10:40:30 +0200

eagle-usb (1.9.6.99-1) unstable; urgency=low

  * New upstream pre-release.
  * Fix ppp configuration (thank to Farfadet)
  * Fix french translation (thank to Martin Braure)

 -- Cyril Martin <mcoolive@free.fr>  Mon, 15 May 2004 10:40:30 +0200

eagle-usb (1.9.6-3) unstable; urgency=low

  * Fix incomplete translation
  * Fix postinstallation to remove lintian's warnings
  * Add Build-Depends on xsltproc

 -- Cyril Martin <mcoolive@free.fr>  Mon, 28 Apr 2004 10:40:30 +0200

eagle-usb (1.9.6-2) unstable; urgency=low

  * Packages are renamed eagle-usb.
  * Recreate configuration scripts (and french Translation)
  * Add man pages

 -- Cyril Martin <mcoolive@free.fr>  Mon, 22 Jan 2004 03:11:30 +0100

eagle-adsl (1.9.6-1) unstable; urgency=low

  * New upstream pre-release.
  * This release supports Linux kernel 2.6.
  * Add man pages.
  * Fixed build-depends
  * eagle-adsl-tools now no longer depends on ppp but only
    recommends it. Many people needn't ppp to be connected.
    Documented the change in README.Debian.

 -- Cyril Martin <mcoolive@free.fr>  Mon, 22 Jan 2004 03:11:30 +0100

eagle-adsl (1.0.4-13) unstable; urgency=low

  * Fixed compilation from source, many thanks to John Hasler
    <john@dhh.gt.org> for the patch (closes: #223147).
  * While I'm at it, also increased the sleep time in the adsl.daemon
    script (closes: #215361).

 -- Roland Mas <lolando@debian.org>  Mon, 22 Dec 2003 21:42:18 +0100

eagle-adsl (1.0.4-12) unstable; urgency=low

  * Fixed startadsl and stopadsl again.  The pid-file created by pppd
    contains more than just its PID.

 -- Roland Mas <lolando@debian.org>  Wed,  1 Oct 2003 23:43:29 +0200

eagle-adsl (1.0.4-11) unstable; urgency=low

  * Fixed bashisms in adsl.daemon and related scripts (closes: #213258).
  * Fixed the way startadsl and stopadsl scripts handle killing of PPP
    daemons (closes: #212748).

 -- Roland Mas <lolando@debian.org>  Mon, 29 Sep 2003 17:42:19 +0200

eagle-adsl (1.0.4-10) unstable; urgency=low

  * Migrated to module-assistant, patch from Eduard Bloch
    <blade@debian.org>.  Updated README.Debian to reflect that change.
    This should fix compilation problems (closes: #211375).
  * Added USB vendor/product IDs for the Sagem Fast 800 PE sub-model
    (closes: #209368).


=== debian/control ===
Source: eagle-usb
Section: net
Priority: optional
Maintainer: Cyril Martin <mcoolive@free.fr>
Standards-Version: 3.6.1
Build-Depends: debhelper (>> 4.1.16), automake, autoconf(>= 2.52), linux-kernel-headers (>= 2.5.999-test7-bk-15), net-tools, docbook-xml, docbook-xsl (>= 1.64), xsltproc

Package: eagle-usb-modules-source
Architecture: all
Depends: debhelper, make
Replaces: eagle-adsl-modules-src
Conflicts: eagle-adsl-modules-src
Recommends: kernel-package, module-assistant
Suggests: eagle-usb-utils (>=1.9.6), eagle-usb-data (>=1.9.6)
Description: EAGLE-USB binary kernel module source for Eagle USB ADSL modems
 This package provides the source for a module needed to use the USB
 ADSL modems featuring the Eagle chipset.  This includes the Sagem
 F@st 800 modem.

Package: eagle-usb-data
Architecture: all
Depends: 
Replaces: eagle-adsl-data
Conflicts: eagle-adsl-data, eagle-usb-utils (<<1.9.6)
Recommends: eagle-usb-modules
Description: Data for Eagle USB ADSL modems
 This package provides the DSP code needed to use the USB ADSL modems
 featuring the Eagle chipset.  This includes the Sagem F@st 800 modem.

Package: eagle-usb-utils
Architecture: any
Depends: net-tools, eagle-usb-data (>=1.9.6), module-init-tools | modutils, ${misc:Depends}, ${shlibs:Depends}
Replaces: eagle-adsl-tools
Conflicts: eagle-adsl-tools
Recommends: pppoe|libatm1|dhcp3-client, hotplug(>= 0.0.20020826-1), ifupdown
Suggests: eagle-usb-modules
Description: Userspace tools for Eagle USB ADSL modems
 This package provides the userspace tools needed to use the USB ADSL
 modems featuring the Eagle chipset.  This includes the Sagem F@st 800
 modem.
 .
 You'll need a kernel module to be able to use these tools.  Such a
 kernel module can be semi-automatically compiled and installed if you
 install the eagle-usb-modules-source package and follow the
 instructions in /usr/share/doc/eagle-usb-utils/README.Debian.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001


# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# DebHelper control
export DH_ALWAYS_EXCLUDE=CVS


# Name of packages
package	= eagle-usb
pdata	= $(package)-data
putils	= $(package)-utils
psource	= $(package)-modules-source


# FLAGS
CFLAGS = -Wall
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif


# FOR AUTOCONF 2.52 AND NEWER ONLY
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif


.PHONY: configure
configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./autogen.sh
	CONFIG_FILES=Makefile.common ./configure $(confflags) \
		--prefix=/ \
		--exec-prefix=/usr \
		--sysconfdir=/etc \
		--libdir=/usr/lib \
		--libexecdir=/usr/lib \
		--datadir=/usr/share \
		--includedir=/usr/include \
		--infodir=/usr/share/info \
		--mandir=/usr/share/man \
		--with-dsp-dir=/usr/share/$(package)/dsp \
		--disable-module
	touch configure-stamp

#Architecture 
.PHONY: build
build: build-indep build-arch

.PHONY: build-indep
build-indep: build-indep-stamp
build-indep-stamp: configure-stamp 

	# Add here commands to compile the $(pdata) package.
	$(MAKE) -C driver/firmware

	# No compile for the $(psource) package.

	touch build-indep-stamp

.PHONY: build-arch
build-arch: build-arch-stamp

build-arch-stamp: configure-stamp 

	# Add here commands to compile the $(putils) package.
	$(MAKE) -C utils/scripts
	$(MAKE) -C driver/user
	$(MAKE) -C pppoa
	$(MAKE) -C doc man

	touch build-arch-stamp

.PHONY: clean
clean: 
	dh_testdir
	dh_testroot

	# Add here commands to clean up after the build process.
	$(MAKE) maintainer-clean 

	rm -f build-arch-stamp build-indep-stamp configure-stamp
	dh_clean 

.PHONY: install
install: install-indep install-arch

.PHONY: install-indep
install-indep: build-indep
	dh_testdir
	dh_testroot
	dh_clean -k -i 
	dh_installdirs -i

	# Add here commands to install the $(pdata) package into 
	# debian/$(pdata).
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(pdata) -C driver/firmware install

	# Add here commands to install the $(psource) package into 
	# debian/$(psource).

	# Create the directories to install the source into
	dh_installdirs -p$(psource)	usr/src/modules/$(package) \
					usr/src/modules/$(package)/debian \
					usr/src/modules/$(package)/driver

	# Copy only the driver source to the proper location
	cp README VERSION configure Makefile.common.in install-sh \
		debian/$(psource)/usr/src/modules/$(package)/
	find driver/ -type f -maxdepth 1 -exec \
		cp "{}" debian/$(psource)/usr/src/modules/$(package)/driver/ \;

	# Copy the needed debian/ pieces to the proper location
	cd debian && for f in `ls *.modules`; do \
		cp $$f $(psource)/usr/src/modules/$(package)/debian/`basename $$f .modules`; done
	cd debian && cp README.Debian changelog copyright compat \
		$(psource)/usr/src/modules/$(package)/debian/

	find debian/$(psource)/usr/src/modules/$(package) \
		-type d -exec chmod 755 {} \;
	find debian/$(psource)/usr/src/modules/$(package) \
		-type f -exec chmod 644 {} \;
	chmod 754 debian/$(psource)/usr/src/modules/$(package)/configure \
		debian/$(psource)/usr/src/modules/$(package)/debian/rules
	chgrp -R src debian/$(psource)/usr/src/modules
	tar czCf debian/$(psource)/usr/src/ \
		debian/$(psource)/usr/src/$(package).tar.gz modules/
	rm -rf debian/$(psource)/usr/src/modules/

	dh_install -i

.PHONY: install-arch
install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_clean -k -s 
	dh_installdirs -s

	# Add here commands to install the $(putils) package into 
	# debian/$(putils).
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(putils) -C utils/scripts	install
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(putils) -C driver/user	install
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(putils) -C pppoa		install

	# To mute lintian due to the use of eagleconfig
	dh_installdirs -p$(putils) /usr/share/lintian/overrides/
	install -o root -g root -m 644 debian/$(putils).lintian \
		debian/$(putils)/usr/share/lintian/overrides/$(putils)

	dh_install -s

# Build architecture independant packages using the common target.
# Build $(pdata).deb and $(psource).deb
.PHONY: binary-indep
binary-indep: build-indep install-indep
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
#	dh_installexamples -i
#	dh_installmenu -i
	dh_installdebconf -i
#	dh_installlogrotate -i
#	dh_installemacsen -i
#	dh_installpam -i
#	dh_installmime -i
#	dh_installinit -i
#	dh_installcron -i
#	dh_undocumented -i
#	dh_installinfo -i
	dh_installman -i
	dh_link -i
	dh_strip -i
	dh_compress -i 
	dh_fixperms -i
#	dh_perl -i
#	dh_python -i
	dh_makeshlibs -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture dependant packages using the common target.
# Build $(putils).deb
.PHONY: binary-arch
binary-arch: build-arch install-arch
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
#	dh_installexamples -a
#	dh_installmenu -a
	dh_installdebconf -a
#	dh_installlogrotate -a
#	dh_installemacsen -a
#	dh_installpam -a
#	dh_installmime -a
#	dh_installinit -a
#	dh_installcron -a
#	dh_installppp -a
#	dh_undocumented -a
#	dh_installinfo -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_compress -a 
#	dh_fixperms -a
#	dh_perl -a
#	dh_python -a
	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

.PHONY: binary
binary: binary-indep binary-arch
